﻿using C1.Xaml.Calendar;
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.Serialization;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Input;

namespace WinRTCalendarSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private AppointmentCollection _appointments = new AppointmentCollection();
        public MainPage()
        {
            this.InitializeComponent();

            // bind C1Calendar to the AppointmentCollection
            calendar.StartTimePath = "Start";
            calendar.EndTimePath = "End";
            calendar.DataSource = _appointments;
        }

        private void calendar_DoubleTapped(object sender, DoubleTappedRoutedEventArgs e)
        {
            // add test appointment
            FrameworkElement source = e.OriginalSource as FrameworkElement;
            if (source != null && source.DataContext is DaySlot)
            {
                // create new in-place appointment
                Appointment app = new Appointment();
                app.Start = calendar.SelectedDate;
                app.Duration = TimeSpan.FromDays(1);
                app.Subject = "test event - " + app.Start.ToString();
                _appointments.Add(app);
            }

        }

        private void Appointment_KeyDown(object sender, KeyRoutedEventArgs e)
        {
            // handle appointment removing
            if (e.Key == Windows.System.VirtualKey.Delete)
            {
                ListBox el = sender as ListBox;
                if (el != null && el.SelectedItems.Count > 0)
                {
                    foreach (Appointment app in el.SelectedItems)
                    {
                        _appointments.Remove(app);
                    }
                }
            }
        }
    }

}
